Change log for gtk2hs package in Ubuntu

123 of 23 results
Deleted in maverick-release on 2016-10-31 (Reason: (From Debian) ROM; The new upstream version split the pac...)
Obsolete in lucid-release on 2016-10-26
gtk2hs (0.10.1-4) unstable; urgency=low

  [ Iain Lane ]
  * debian/control: Add lpia to supported architectures - noop on Debian but
    will allow gtk2hs to get into sync with Ubuntu.

  [ Marco TĂșlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * Update Uploader e-mail.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use 3.0 (quilt) source format.
  * Include patch to make it build with ghc6-6.12.1.
  * debian/control: Bump Build-Depends: version of haskell-devscripts
    and remove versioned dependency on ghc6 and libghc6-mtl-*.
  * debian/rules: Use --disable-split-objs in all arches, since it's
    needed with ghc 6.12.
  * Include patch to avoid DoRec notation, which cause build failure in
    ghc 6.12.
  * debian/control: Use Architecture: any, since #565610 is closed.
  * Remove mk-haskell-deps, which was replaced by dh_haskell_shlibdeps.
  * debian/control: Add ${misc:Depends} to Depends:.
  * debian/control: Add ${haskell:Suggests} to Suggests:.
 -- Iain Lane <email address hidden>   Wed,  24 Feb 2010 17:48:15 +0000

Available diffs

Superseded in lucid-release on 2010-02-24
gtk2hs (0.10.1-3ubuntu2) lucid; urgency=low

  * debian/control: Replace dh_clean -k with dh_prep as the former is now
    deprecated.
  * debian/control: Don't clean debian/gtk2hs-doc when building the
    documentation package. These need to be put into the package so must not
    be cleaned.

 -- Iain Lane <email address hidden>   Wed, 04 Nov 2009 14:15:27 +0000

Available diffs

Superseded in lucid-release on 2009-11-04
gtk2hs (0.10.1-3ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add lpia to architechtures.

Superseded in lucid-release on 2009-11-03
Obsolete in karmic-release on 2013-03-04
gtk2hs (0.10.1-1ubuntu2) karmic; urgency=low

  * Rebuild to pick up new GHC

 -- Iain Lane <email address hidden>   Thu, 30 Jul 2009 15:57:37 +0100

Available diffs

Superseded in karmic-release on 2009-07-30
gtk2hs (0.10.1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #384437
    - Add lpia to architechtures.

Superseded in karmic-release on 2009-06-08
gtk2hs (0.10.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add lpia to architectures.

Available diffs

Superseded in karmic-release on 2009-05-11
Obsolete in jaunty-release on 2013-02-28
gtk2hs (0.9.13-5ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #309794), Ubuntu remaining changes:
    - Added lpia to Architectures field value.
    - svgcairo/Graphics/Rendering/Cairo/SVG.chs:
      + Fixed svgRender() return value, fixes FTBFS.

Superseded in jaunty-release on 2008-12-19
gtk2hs (0.9.13-4ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #304945), Ubuntu remaining changes:
    - Added lpia to Architectures.
  * Fixed svgRender return value, fix FTBFS.

Superseded in jaunty-release on 2008-12-06
gtk2hs (0.9.13-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #297349), remaining changes:
    - debian/control:
     - added lpia to archtectures.

Superseded in jaunty-release on 2008-11-14
Obsolete in intrepid-release on 2013-02-20
gtk2hs (0.9.13-2ubuntu3) intrepid; urgency=low

  * debian/prerm.in:
    Special-case failed-upgrade, to unregister the old version instead of
    to try to unregister the new version.
    This is to solve upgrade problems (LP: #229489, #277233), which weren't
    entirely fixed with the last upload. See also Debian BTS: #484928.

 -- Stefan Potyra <email address hidden>   Tue, 07 Oct 2008 19:18:56 +0200

Available diffs

Superseded in intrepid-release on 2008-10-07
gtk2hs (0.9.13-2ubuntu2) intrepid; urgency=low

  * debian/postinst.in, debian/prerm.in:
    Call /usr/bin/ghc-pkg6 instead of ghc-pkg, because the latter is
    managed in ghc6 via alternatives, and hence might not be available
    when gtk2hs's binary packges get configured. LP: #229489, #277233.
    Forwarded to Debian BTS via bug #501052.

 -- Stefan Potyra <email address hidden>   Fri, 03 Oct 2008 18:34:53 +0200

Available diffs

Superseded in intrepid-release on 2008-10-03
gtk2hs (0.9.13-2ubuntu1) intrepid; urgency=low

  * Rebase to unstable, remaining changes:
    - debian/control: add lpia to architectures.

Superseded in intrepid-release on 2008-08-10
gtk2hs (0.9.12.1-1.1ubuntu2) intrepid; urgency=low

  * debian/control: add lpia to Architecture of binary packages
    as well.

 -- Stefan Potyra <email address hidden>   Sat, 07 Jun 2008 16:07:03 +0200
Superseded in intrepid-release on 2008-06-07
gtk2hs (0.9.12.1-1.1ubuntu1) intrepid; urgency=low

  * Rebase to unstable. Remaining changes:
    - add lpia to ghc6 deps in debian/control.
  * debian/rules: specify default CFLAGS, removing -g to fix FTBFS.
    More information:
    DBTS: 481592, 481593
    http://<email address hidden>/msg00087.html
  * debian/control: update Maintainer field as per spec.

Superseded in intrepid-release on 2008-06-07
Obsolete in hardy-release on 2015-04-24
gtk2hs (0.9.12.1-1ubuntu2) hardy; urgency=low

  * debian/control: Add lpia to architecture fields to fix the forced
    FTBFS on lpia (Side note: the right thing would be to use
    update-haskell-control, but the files are already out of sync,
    probably because the newer update-haskell-control needs a
    <package>.cabal file now, which is missing here).

 -- Stefan Potyra <email address hidden>   Fri, 04 Apr 2008 21:20:18 +0200
Superseded in hardy-release on 2008-04-04
gtk2hs (0.9.12.1-1ubuntu1) hardy; urgency=low

  * Import newer debian version for newer ghc6 version.
  * Drop gcc-4.1 from Build-Depends (since there is no
    -fno-top-level-reorder in this gcc version).
  * debian/rules: Don't use gcc-4.1 (see above). This is related to
    the 0.9.12-1 changelog entry, and it seems that
    -fno-top-level-reorder is indeed the fix to that problem.
  * Change Maintainer according to spec in debian/control.

Superseded in hardy-release on 2008-02-02
gtk2hs (0.9.12-1) unstable; urgency=low

  * New upstream release
  * base.haddock special handling not necessary any more, since 0.9.11-1
  * Subsequent build process fails, thx for the patch to duncan (Closes: #427796)
  * Install ghci library files, Closes: 410389
  * Force using gcc-4.1, because of
    http://hackage.haskell.org/trac/ghc/ticket/1427
    This can be disabled once the fix reached debian, e.g. with ghc 6.8

 -- Michael Bienia <email address hidden>   Mon,  29 Oct 2007 14:36:03 +0000
Obsolete in gutsy-updates on 2011-09-16
Deleted in gutsy-proposed on 2011-09-19 (Reason: moved to -updates)
gtk2hs (0.9.12-0ubuntu1.1) gutsy-proposed; urgency=low

  * Fix FTBFS on i386 (and other archs) (LP: #129050)
    Thanks to Aleksi Hankalahti for the patch.

 -- Michael Bienia <email address hidden>   Fri, 19 Oct 2007 10:11:24 +0200
Superseded in hardy-release on 2007-10-29
Obsolete in gutsy-release on 2011-09-16
gtk2hs (0.9.12-0ubuntu1) gutsy; urgency=low

  * New upstream release (fixes FTBFS).
  * debian/control: Modify Maintainer value to match
    DebianMaintainerField spec.

 -- Michael Bienia <email address hidden>   Fri, 10 Aug 2007 18:48:12 +0200
Superseded in gutsy-release on 2007-08-10
gtk2hs (0.9.11-2) unstable; urgency=low

  * libghc6-cairo-dev added missing dependency on libghc6-mtl-dev
    (Closes: #413283)

Superseded in gutsy-release on 2007-08-03
Obsolete in feisty-release on 2009-08-20
gtk2hs (0.9.10.5-1ubuntu1) feisty; urgency=low

  * Add a Depends: on libghc6-mtl-dev for libghc6-cairo-dev to fix an error
    on install
  * Modified Maintainer value to match Debian-Maintainer-Field Spec

 -- Albin Tonnerre <email address hidden>   Fri, 23 Mar 2007 11:21:57 +0100
Superseded in feisty-release on 2007-03-23
gtk2hs (0.9.10.5-1) unstable; urgency=low

  * New upstream version.
  * Fixed Haddock linking to GHC base docs.
Superseded in feisty-release on 2007-02-21
gtk2hs (0.9.10-2) unstable; urgency=low

  * Compiled for GHC 6.4.2.
  * More specific Architecture lines (via update-haskell-control).
  * debian/rules: manual rule to update debian/control.
  * htmldir already defined in latest autotools. (Patched)
  * debian/rules: remove aclocal.m4 to make the diff.gz even smaller.

123 of 23 results